<!DOCTYPE html>
<html lang="fr">

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge, chrome=1">
    <title>Mon CV</title>
    <meta name="description" content="Étudiant en développement logiciel de Système d'information">
    <meta name="keywords" content="CV, étudiant, développement logiciel">
    <meta name="author" content="Votre nom">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="css/resume.css">
    <link rel="stylesheet" href="css/responsive.css">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/font-awesome/4.4.0/css/font-awesome.min.css">
    <!--[if lt IE 9]>
    <script src="http://html5shiv.googlecode.com/svn/trunk/html5.js"></script>
    <![endif-->
</head>

<body>
    <div id="wrapper">
        <header>
            <div class="header-content">
                <div class="photo">
                    <img src="Images/anissa-rasoanirina-photo.jpeg" alt="Photo Anissa RASOANIRINA" width="100px"
                        height="100px">
                </div>
                <div class="name-info">
                    <h1>Anissa RASOANIRINA</h1>
                    <h2>Étudiant en génie informatique</h2>
                </div>
                <div itemscope itemtype="http://schema.org/Person">
                    <h1 itemprop="name">Anissa RASOANIRINA</h1>
                    <p>
                        <span itemprop="address" itemscope itemtype="http://schema.org/PostalAddress">
                            Adresse : <span itemprop="streetAddress">Brest, France</span>
                        </span>
                        <br>
                        Date de Naissance : <span itemprop="birthDate">13/09/2002</span>
                        <br>
                        Nationalité : <span itemprop="nationality">Malgache</span>
                        <br>
                        Email : <span itemprop="email">anissa.rasoanirinahj@gmail.com</span>
                        <br>
                        Compte LinkdIn : <span itemprop="url">https://www.linkedin.com/in/anissa-rasoanirina</span>
                    </p>
                </div>
                <!--
                    <p>
                    Adresse : Brest, France <br>
                    Date de Naissance : 13/09/2002 <br>
                    Nationalité : Malgache <br>
                    Email : anissa.rasoanirinahj@gmail.com <br>
                    Compte LinkedIn : @Anissa Rasoanirina<br>
                </p>
                -->
            </div>
        </header>
        <div class="body-content">
            <div>
                <section id="presentation">
                    <h2>Présentation</h2>
                    <p>Étudiant en dernière année de master en développement logiciel de Système d'information.</p>
                </section>
                <section id="competences">
                    <h2>Compétences</h2>
                    <ul>
                        <li><i class="fa fa-globe"></i> Technologies Web: <br>
                            <span
                                title="Hypertext Transfer Protocol (HTTP)">
                                HTTP, 
                            </span><span class="stars">5</span>
                            <span
                                title=" HTML (HyperText Markup Language)">
                                HTML, 
                            </span><span class="stars">4</span>
                            <span
                                title="Cascade Stylesheet (CSS)">
                                CSS, 
                            </span><span class="stars">2</span>
                            <span
                                title="Asynchronous JavaScript and XML">
                                AJAX
                            </span><span class="stars">3</span>
                        </li>
                        <li><i class="fa fa-code"></i> Langages de programmation : <br>
                            <span title="Java, Python, JavaScript">
                                Java, Python, JavaScript
                            </span>
                        </li>
                        <li><i class="fa fa-database"></i> Base de données: <br>
                            <span title="Oracle, MongoDB, MySQL, PostgreSQL">
                                Oracle, MongoDB, MySQL, PostgreSQL
                            </span>
                        </li>
                        <li><i class="fa fa-tasks"></i> Gestion de projet: <br>
                            <span title="Agile, Scrum, Jira, Trello">
                                Agile, Scrum, Jira, Trello
                            </span>
                        </li>
                    </ul>
                    <!--
                    <h2>Compétences</h2>
                <ul>
                    <li><i class="fa fa-globe"></i> Technologies Web: <br> HTTP, HTML, CSS, AJAX</li>
                    <li><i class="fa fa-code"></i> Langages de programmation : <br> Java, Python, JavaScript</li>
                    <li><i class="fa fa-database"></i> Base de données: <br> Oracle, MongoDB, MySQL, PostgreSQL</li>
                    <li><i class="fa fa-tasks"></i> Gestion de projet: <br> Agile, Scrum, Jira, Trello</li>
                </ul>
                    -->
                </section>
                <section id="langues">
                    <h2>Langues</h2>
                    <ul>
                        <li>Français: courant</li>
                        <li>Anglais: intermédiaire</li>
                        <li>Malgache: langue maternelle</li>
                    </ul>
                </section>
                <section id="hobbies">
                    <h2>Loisirs</h2>
                    <p>Programmation, Livre audio, Entrepreneuriat</p>
                </section>
                <footer>
                    <h3>Liens</h3>
                    <ul>
                        <li><a
                                href="https://www.linkedin.com/public-profile/settings?lipi=urn%3Ali%3Apage%3Ad_flagship3_profile_self_edit_contact-info%3BsfvA%2BtOdRWCKgcVu7jY2Kw%3D%3D">LinkedIn</a>
                        </li>
                        <li><a href="https://github.com/anissarhj">GitHub</a></li>
                    </ul>
                </footer>
            </div>
            <div>
                <section id="experiences">
                    <h2>Expériences Professionnelles</h2>
                    <article>
                        <h3>Stagiaire en recherche et développement</h3>
                        <p>Smart Automation Technologies - juillet 2023 - 2 mois</p>
                        <button class="details-button">Détails</button>
                        <p class="details-container hidden">Concevoir une solution NLP pour extraire des entités
                            personnalisées à partir de textes</p>
                    </article>
                    <article>
                        <h3>Développeur Web - Projet Agile</h3>
                        <p>ENSAT - Décembre 2023 - 2 mois</p>
                        <button class="details-button">Détails</button>
                        <p class="details-container hidden">Développer une application Web e-commerce de vêtements pour
                            hommes en utilisant la stack MEAN
                            (MongoDB, Express JS, Angular, Node JS).</p>
                    </article>
                    <article>
                        <h3>Stagiaire en ingénierie de SI</h3>
                        <p>Smart Automation Technologies - Août 2022 - 2 mois</p>
                        <button class="details-button">Détails</button>
                        <p class="details-container hidden">Analyser, concevoir et modéliser des systèmes d’informations
                            complexes.</p>
                    </article>
                </section>
                <section id="formation">
                    <h2>Formation</h2>
                    <article>
                        <h3>Université de Bretagne Occidentale</h3>
                        <p>Master en Développement Logiciel de Système d'Information - Brest, France - 2023-2024</p>
                    </article>
                    <article>
                        <h3>Ecole Nationale des Sciences Appliquées</h3>
                        <p>Formation d'ingénieur en génie logiciel - Tanger, Maroc - 2019-2024</p>
                    </article>
                    <article>
                        <h3>Lycée Anne Marie Javouhey</h3>
                        <p>Baccalauréat série C - mention Bien - Madagascar - 2018</p>
                    </article>
                </section>
            </div>
        </div>
    </div>
</body>
<script>
    document.addEventListener("DOMContentLoaded", function () {
        const detailButtons = document.querySelectorAll(".details-button");

        detailButtons.forEach((button) => {
            button.addEventListener("click", function () {
                const container = this.nextElementSibling;
                if (container) {
                    const otherContainers = document.querySelectorAll(".details-container:not(.hidden)");
                    otherContainers.forEach((c) => {
                        c.classList.add("hidden");
                        c.style.height = "0";
                    });

                    container.classList.toggle("hidden");
                    if (!container.classList.contains("hidden")) {
                        expandDescription(container);
                    }
                }
            });
        });

        function expandDescription(element) {
            let height = 0;
            const maxHeight = element.scrollHeight;
            const interval = setInterval(function () {
                if (height >= maxHeight) {
                    clearInterval(interval);
                } else {
                    height += 5;
                    element.style.height = height + "px";
                }
            }, 10);
        }
    });

    // Sélectionnez tous les éléments <span> avec un attribut "title" dans les compétences
    const skillsWithTooltips = document.querySelectorAll('ul li span[title]');

    // Fonction pour afficher un tooltip
    function showTooltip(event) {
        const tooltip = document.createElement('div');
        tooltip.className = 'tooltip';
        tooltip.textContent = event.target.getAttribute('title');
        document.body.appendChild(tooltip);
        positionTooltip(event, tooltip);
    }

    // Fonction pour positionner le tooltip par rapport à la compétence survolée
    function positionTooltip(event, tooltip) {
        const skillBounds = event.target.getBoundingClientRect();
        tooltip.style.top = window.scrollY + skillBounds.bottom + 'px';
        tooltip.style.left = skillBounds.left + 'px';
    }

    // Fonction pour masquer le tooltip
    function hideTooltip(event) {
        const tooltip = document.querySelector('.tooltip');
        if (tooltip) {
            tooltip.remove();
        }
    }

    // Ajoutez des gestionnaires d'événements pour le survol et la sortie de la souris
    skillsWithTooltips.forEach(skill => {
        skill.addEventListener('mouseover', showTooltip);
        skill.addEventListener('mouseout', hideTooltip);
    });


</script>

</html>